Bug 485428 - IBM LS20/LS21 blades fail to boot RT kernel when HPET enabled in BIOS
IBM LS20/LS21 blades fail to boot RT kernel when HPET enabled in BIOS
Status: CLOSED ERRATA
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: realtime-kernel (Show other bugs)
1.1
All Linux
low Severity medium
: 1.1.1
: ---
Assigned To: Luis Claudio R. Goncalves
David Sommerseth
:
: 483006 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-13 10:28 EST by Clark Williams
Modified: 2016-05-22 19:27 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-26 20:15:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
First cut at a fix for HPET boot hang (2.38 KB, application/octet-stream)
2009-02-13 10:28 EST, Clark Williams
no flags Details

  None (edit)
Description Clark Williams 2009-02-13 10:28:38 EST
Created attachment 331835 [details]
First cut at a fix for HPET boot hang

Description of problem:
If the High Precision Event Timer is enabled in the BIOS, the MRG RT kernel hangs on boot. HPET is desirable as it has less overhead than the acpi_pm timer the LS blades use currently.

Version-Release number of selected component (if applicable):
all MRG kernels

How reproducible:
Always

Steps to Reproduce:
1. Enable HPET in LS21 BIOS
2. Boot any MRG RT kernel
  
Actual results:
System hangs during boot

Additional Info:

John Stultz of IBM is looking at this and has a possible solution
Comment 1 Luis Claudio R. Goncalves 2009-02-25 15:56:41 EST
The patches listed below were added to kenel -103 and fixed the issue:

- [time] IBM LS20/LS21 blades fail to boot with HPET enabled in BIOS [485428]
- [time] fix hpet timer reinit for x86_64
Comment 2 Luis Claudio R. Goncalves 2009-02-25 15:58:26 EST
*** Bug 483006 has been marked as a duplicate of this bug. ***
Comment 4 David Sommerseth 2009-03-20 11:05:21 EDT
Tried to boot 2.6.24.7-101 on ls21-1.farm.hsv.redhat.com with HPET enabled in BIOS.  Failed.   Booted 2.6.24.7-107 successfully.
Comment 6 errata-xmlrpc 2009-03-26 20:15:18 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-0360.html

Note You need to log in before you can comment on or make changes to this bug.